# class KFileBookmarkManager |
Definition | `#include <kfilebookmark.h>`
Inherits | QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KFileBookmarkManager ()
- void setTitle ( const QString& t )
- void read ( const QString& filename )
- void write ( const QString& filename )
- void add ( const QString& _text, const QString& _url )
- bool remove (int)
- bool moveUp (int)
- bool moveDown (int)
- void reread ()
- void rename (int, const QString&)
- void write ()
- KFileBookmark * getBookmark ( int id )
- KFileBookmark * getRoot ()

#### Signals

- void changed ()

## Detailed Description

KFileBookmarkManager () | ### KFileBookmarkManager

void setTitle ( const QString& t ) | ### setTitle

void read ( const QString& filename ) | ### read

void write ( const QString& filename ) | ### write

void add ( const QString& _text, const QString& _url ) | ### add

bool remove (int) | ### remove

bool moveUp (int) | ### moveUp

bool moveDown (int) | ### moveDown

void reread () | ### reread

void rename (int, const QString&) | ### rename

void write () | ### write

Overloaded to reread the last file loaded

KFileBookmark * getBookmark ( int id ) | ### getBookmark

KFileBookmark * getRoot () | ### getRoot

void changed () | ### changed

[signal]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:42:26 2001, using kdoc 2.0a53.